Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Interface ValidatorListener.Event

All Superinterfaces:
  PrefixResolver

All Known Implementing Classes:
  ValidatingXMLInputStream

Enclosing interface:
  ValidatorListener

    public static interface ValidatorListener.Event

extends PrefixResolver

Field Summary
`static int` | `COLLAPSE`
`static int` | `PRESERVE`
`static int` | `REPLACE`

Method Summary
`javax.xml.stream.Location` | `getLocation()`
`XmlCursor` | `getLocationAsCursor()`
`javax.xml.namespace.QName` | `getName()`
`java.lang.String` | `getText()`
`java.lang.String` | `getText(int wsr)`
`java.lang.String` | `getXsiLoc()`
`java.lang.String` | `getXsiNil()`
`java.lang.String` | `getXsiNoLoc()`
`java.lang.String` | `getXsiType()`
`boolean` | `textIsWhitespace()`

Methods inherited from interface org.apache.xmlbeans.impl.common.PrefixResolver
`getNamespaceForPrefix`

Field Detail

### PRESERVE

    static final int PRESERVE

See Also:
  Constant Field Values

### REPLACE

    static final int REPLACE

See Also:
  Constant Field Values

### COLLAPSE

    static final int COLLAPSE

See Also:
  Constant Field Values

Method Detail

### getLocationAsCursor

    XmlCursor getLocationAsCursor()

### getLocation

    javax.xml.stream.Location getLocation()

### getXsiType

    java.lang.String getXsiType()

### getXsiNil

    java.lang.String getXsiNil()

### getXsiLoc

    java.lang.String getXsiLoc()

### getXsiNoLoc

    java.lang.String getXsiNoLoc()

### getName

    javax.xml.namespace.QName getName()

### getText

    java.lang.String getText()

### getText

    java.lang.String getText(int wsr)

### textIsWhitespace

    boolean textIsWhitespace()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD